#!/bin/sh

#目录地址
Root=/opt/app
File=/hosts
#将进程名写入 pid.txt
echo "翻墙hosts服务已经正常启动，请忽略删除线" >> /opt/pid.txt
#更新Hosts文件
cd $Root$File/
#启动命令
#下载更新最新规则
#wget -O adhost http://hosts.xuanlove.date/hosts.php
#挂载翻墙Hosts文件到dnsmasq目录
ln -s $Root$File/diyhost /etc/hosts.d/diyhost
#重启dnsmasq
/etc/init.d/dnsmasq restart
#PHP判断插件运行状态
if [ -f /etc/hosts.d/diyhost ]
then
    if [ -s /etc/hosts.d/diyhost ]
    then
        echo "已经加载Hosts翻墙功能"
    else
        echo "未加载Hosts翻墙功能"
    fi
else
    echo "未加载Hosts翻墙功能"
fi
